Bug 1230538 - CVE-2015-3209 qemu: pcnet: multi-tmd buffer overflow in the tx path [epel-7] [NEEDINFO]
Summary: CVE-2015-3209 qemu: pcnet: multi-tmd buffer overflow in the tx path [epel-7]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: qemu
Version: epel7
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: fst_owner=dcafaro, fst_ping=3
Depends On:
Blocks: CVE-2015-3209, xsa135
TreeView+ depends on / blocked
 
Reported: 2015-06-11 06:58 UTC by Petr Matousek
Modified: 2015-11-19 22:54 UTC (History)
6 users (show)

Fixed In Version: qemu-2.0.0-1.el7.6
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-19 22:54:44 UTC
dac: needinfo? (lkundrak)


Attachments (Terms of Use)

Description Petr Matousek 2015-06-11 06:58:27 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora EPEL.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

epel-7 tracking bug for qemu: see blocks bug list for full details of the security issue(s).

This bug is never intended to be made public, please put any public notes
in the blocked bugs.

[bug automatically created by: add-tracking-bugs]

Comment 1 Petr Matousek 2015-06-11 06:58:34 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1225882,1230538

# Description of your update
notes=Security fix for CVE-2015-3209, xsa135

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1225882,1230538

Comment 2 David A. Cafaro 2015-08-05 14:01:18 UTC
Any work started on this, and possibly cover this bug as well:

https://bugzilla.redhat.com/show_bug.cgi?id=1247143

Comment 3 pjp 2015-10-12 06:04:59 UTC
Upstream fix:
  -> git.qemu.org/?p=qemu.git;a=commit;h=9f7c594c006289ad41169b854d70f5da6e400a2a

Comment 4 David A. Cafaro 2015-10-15 00:38:29 UTC
Still no update on this, pjp provided upstream patch.  Is there any action on this?

Comment 5 David A. Cafaro 2015-11-02 02:34:12 UTC
Still waiting, this has been patched for all other releases except this.

Comment 6 Fedora Update System 2015-11-02 10:36:15 UTC
qemu-2.0.0-1.el7.6 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-22f9be240b

Comment 7 Fedora Update System 2015-11-03 14:51:01 UTC
qemu-2.0.0-1.el7.6 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update qemu'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-22f9be240b

Comment 8 Fedora Update System 2015-11-19 22:54:26 UTC
qemu-2.0.0-1.el7.6 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.